Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form
Class FormProviderServiceImpl

    java.lang.Object
      org.jbpm.kie.services.impl.form.FormProviderServiceImpl

All Implemented Interfaces:
  FormProviderService

    @ApplicationScoped
    public class FormProviderServiceImpl

extends Object
implements FormProviderService

Constructor Summary
`FormProviderServiceImpl()`

Method Summary
`String` | `getFormDisplayProcess(String processId)`
`String` | `getFormDisplayTask(long taskId)`
`void` | `prepare()`
`String` | `render(String name, InputStream src, Map<String,Object> renderContext)`
`protected Map<String,InputData>` | `toInputDataMap(Map<String,String> inputs)`
`protected Map<String,OutputData>` | `toOutputDataMap(Map<String,String> outputs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormProviderServiceImpl

    public FormProviderServiceImpl()

Method Detail

### prepare

    @PostConstruct
    public void prepare()

### getFormDisplayProcess

    public String getFormDisplayProcess(String processId)

  Specified by:
    `getFormDisplayProcess` in interface `FormProviderService`

### getFormDisplayTask

    public String getFormDisplayTask(long taskId)

  Specified by:
    `getFormDisplayTask` in interface `FormProviderService`

### render

    public String render(String name,
                         InputStream src,
                         Map<String,Object> renderContext)

### toInputDataMap

    protected Map<String,InputData> toInputDataMap(Map<String,String> inputs)

### toOutputDataMap

    protected Map<String,OutputData> toOutputDataMap(Map<String,String> outputs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.